// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "vertexVersionCentroidUV.h"
#include "uniformWorldConstants.h"
#include "uniformPerFrameConstants.h"

attribute POS4 POSITION;
attribute vec2 TEXCOORD_0;

varying highp vec4 wpos;
varying highp vec3 posi;

void main() {
    
    gl_Position = WORLDVIEWPROJ * (POSITION * 2.0);
    
    uv = TEXCOORD_0;
    wpos = WORLDVIEWPROJ* vec4(POSITION.xyz*1.5,1.0);
    posi = POSITION.xyz;
}